Subject: Re: bug#27206: Fish: figure out a solution for the vendor path extension to fish

From: ng0 <[email-masked]>
Date: Sun, 14 Jan 2018 18:42:28 +0000

ng0 transcribed 2.7K bytes:
> Ludovic Courtès transcribed 1.0K bytes:
> > ng0 <[email-masked]> skribis:
> > 
> > > ng0 transcribed 0.4K bytes:
> > >> A feature-bug I forgot to report a while ago.
> > >> It has been described on the mailinglist (or was
> > >> it in my blog or some release announcement I made?)
> > >> 
> > >> Fish doesn't pick up stuff like 'fish-guix' from store
> > >> without modifications to the path where fish searches
> > >> for vendor or sysadmin installed systemwide 'things'
> > >> for fish.
> > >
> > > I have many more fish packages in a branch which
> > > I want to get into guix, but they are stuck because
> > > of this. Help welcome, otherwise I'll promise to
> > > fix it one day.
> > >
> > > Currently the only workaround is to symlink individual files from your
> > > ~/.guix-profile/whereever/things/went/ to ~/.config/fish/{approriate subdirs}
> > 
> > Does Fish have an environment variable that can be used to specify the
> > search path for extensions, similar to BASH_LOADABLES_PATH?  If it does,
> > we could use that.
> > 
> > Otherwise, perhaps we can consider it an upstream issue in a way?
> > 
> > Thanks,
> > Ludo’.
> 
> Late night reply, so I'll be short.
> I have some open reading material on how Nix solved this,
> which is the only system coming close to our layout. Everyone
> else can just point to one of the canonical paths.
> 
> I haven't concluded yet if Nix' solution is usable for us
> as they sometimes take shortcuts.
> 
> I'll post the links within the next 7 days, more likely on
> the weekend.
> 
> Thanks, goodnight

Long 7 days ;)

Here are the links from my bookmarks, for those who want to look into fixing this:
https://github.com/NixOS/nixpkgs/pull/24314
https://github.com/NixOS/nixpkgs/blob/master/pkgs/applications/virtualization/docker/default.nix
https://github.com/NixOS/nixpkgs/issues/5331
https://github.com/NixOS/nix/pull/626
https://github.com/NixOS/nix/issues/440
https://github.com/NixOS/nixpkgs/blob/master/pkgs/shells/fish/default.nix

If it helps, because our zsh integration (for zsh-extensions) isn't that good
either and the links reference some of the Zsh work in Nix:

https://github.com/NixOS/nixpkgs/blob/master/nixos/modules/programs/zsh/zsh.nix
https://github.com/NixOS/nixpkgs/commit/003cd41310b5b7839eb4c402d84dc25068026c3e

-- 
ng0 :: https://ea.n0.is
A88C8ADD129828D7EAC02E52E22F9BBFEE348588 :: https://ea.n0.is/keys/